io.vertx.rx.java

## Class ContextScheduler

- java.lang.Object
- - rx.Scheduler
  - - io.vertx.rx.java.ContextScheduler

-     public class ContextScheduler
      extends rx.Scheduler

  Author:
    Julien Viet

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class rx.Scheduler

      `rx.Scheduler.Worker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextScheduler(Context context, boolean blocking)`
    `ContextScheduler(Context context, boolean blocking, boolean ordered)`
    `ContextScheduler(Vertx vertx, boolean blocking)`
    `ContextScheduler(Vertx vertx, boolean blocking, boolean ordered)`
    `ContextScheduler(WorkerExecutor workerExecutor)`
    `ContextScheduler(WorkerExecutor workerExecutor, boolean ordered)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `rx.Scheduler.Worker` | `createWorker()`

    - ### Methods inherited from class rx.Scheduler

      `now, when`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextScheduler

          public ContextScheduler(Context context,
                                  boolean blocking)

    - #### ContextScheduler

          public ContextScheduler(Context context,
                                  boolean blocking,
                                  boolean ordered)

    - #### ContextScheduler

          public ContextScheduler(Vertx vertx,
                                  boolean blocking)

    - #### ContextScheduler

          public ContextScheduler(Vertx vertx,
                                  boolean blocking,
                                  boolean ordered)

    - #### ContextScheduler

          public ContextScheduler(WorkerExecutor workerExecutor)

    - #### ContextScheduler

          public ContextScheduler(WorkerExecutor workerExecutor,
                                  boolean ordered)

  - ### Method Detail

    - #### createWorker

          public rx.Scheduler.Worker createWorker()

      Specified by:
        `createWorker` in class `rx.Scheduler`

Copyright © 2017. All rights reserved.